- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# elfProgramHeader Struct Reference

`#include <elf.h>`

## Data Fields
uInt32 | phAlign
uInt32 | phFilesz
uInt32 | phFlags
uInt32 | phMemsz
uInt32 | phOffset
uInt32 | phPaddr
uInt32 | phType
uInt32 | phVaddr

## Detailed Description

Definition at line 114 of file elf.h.

## Field Documentation

uInt32 elfProgramHeader::phAlign

Definition at line 122 of file elf.h.

uInt32 elfProgramHeader::phFilesz

Definition at line 119 of file elf.h.

uInt32 elfProgramHeader::phFlags

Definition at line 121 of file elf.h.

uInt32 elfProgramHeader::phMemsz

Definition at line 120 of file elf.h.

Referenced by elf_loadfile(), execFile(), kmod_load(), ldEnable(), sys_exec(), and sysExec().

uInt32 elfProgramHeader::phOffset

Definition at line 116 of file elf.h.

Referenced by sys_exec().

uInt32 elfProgramHeader::phPaddr

Definition at line 118 of file elf.h.

uInt32 elfProgramHeader::phType

Definition at line 115 of file elf.h.

uInt32 elfProgramHeader::phVaddr

Definition at line 117 of file elf.h.

Referenced by elf_loadfile(), execFile(), kmod_load(), ldEnable(), sys_exec(), and sysExec().

The documentation for this struct was generated from the following file:

- src/sys/include/ubixos/elf.h